USB_INTERFACE_INFO
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

USB_INTERFACE_INFO — macro used to describe a class of usb interfaces

## Synopsis

`USB_INTERFACE_INFO (` |  | cl,
|  | sc,
|  | pr`)`;

## Arguments

`cl`

  bInterfaceClass value

`sc`

  bInterfaceSubClass value

`pr`

  bInterfaceProtocol value

## Description

This macro is used to create a struct usb_device_id that matches a specific class of interfaces.

Prev | Up | Next
USB_DEVICE_INFO | Home | USB_DEVICE_AND_INTERFACE_INFO